﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/1444bb33-479d-43b7-949a-0b69e9ee4ba9/86107542692885242ceadd02d72100dd/dotnet-sdk-2.1.513-win-x86.exe'
$checksum   = '4b088c3e492bfb5ea05829b02a9440284528a749cf34069e66263d267337d277ed34bf8baab4670270be5e023fbd8a9dbaa8da1c0939aec5722b5d0857612099'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/04625b40-1a59-4ddc-ada9-759e4756f3c4/282877c94233cd4f4932d1490d9a4460/dotnet-sdk-2.1.513-win-x64.exe'
$checksum64 = 'e066097545c05fd9c381527a28b3d8152865162553a2fc34b610130d7a9ed992b5952235629561a839592b1a982cd71989a7e830cb2c07c7781b5ac6e7e482dc'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
